package com.dsic.gj_erp.controller.jhgk;


import cn.hutool.core.util.StrUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.dsic.gj_erp.annotation.AuthFunction;
import com.dsic.gj_erp.bean.ResultBean;
import com.dsic.gj_erp.bean.jhgk.DmSygd;
import com.dsic.gj_erp.bean.jhgk.DmSygdMx;
import com.dsic.gj_erp.service.jhgk.DmSygdMxService;
import com.dsic.gj_erp.service.sy.SYService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import java.util.HashMap;
import java.util.List;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author xn
 * @since 2023-10-09
 */
@RestController
@RequestMapping("/dmSygdMx")
public class DmSygdMxController {

    @Autowired
    private DmSygdMxService service;

    @RequestMapping("/getList")
    @AuthFunction
    public ResultBean getList(@RequestBody DmSygdMx sygd){
       List<DmSygdMx> list= service.list(new QueryWrapper<DmSygdMx>()
               .eq(StrUtil.isNotEmpty(sygd.getDcCh()),"dc_ch",sygd.getDcCh())
               .eq(StrUtil.isNotEmpty(sygd.getDcPl()),"dc_pl",sygd.getDcPl())
               .ge(StrUtil.isNotEmpty(sygd.getBeginTime()),"jssj",sygd.getBeginTime())
               .le(StrUtil.isNotEmpty(sygd.getEndTime()),"jssj",sygd.getEndTime())
                       .orderByAsc("dc_ch,dc_pl,jssj")
                );
        return new ResultBean(list);
    }
    @RequestMapping("/sygdPC")
    @AuthFunction
    public ResultBean sygdPC(){
        return new ResultBean(service.sygdPC());
    }

    @RequestMapping("/saveByDcch")
    @AuthFunction
    public ResultBean saveByDcch(@RequestBody HashMap<String, List<Object>> map ){
        return new ResultBean(service.saveByDcch(map));
    }

    @RequestMapping("/getKwList")
    @AuthFunction
    public ResultBean getKwList(@RequestBody List<DmSygdMx> list ){
        return new ResultBean(service.getKwList(list));
    }

    @RequestMapping("/tqSygd")
    @AuthFunction
    public ResultBean tqSygd( ){
        return service.tqSygd();
    }

}

